Bug 242366

Summary: games/scid: Update to 4.7.0
Product: Ports & Packages Reporter: m.ne
Component: Individual Port(s)Assignee: freebsd-ports-bugs mailing list <ports-bugs>
Status: Closed FIXED    
Severity: Affects Some People CC: bsd
Priority: --- Keywords: buildisok
Version: LatestFlags: bsd: maintainer-feedback+
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch for games/scid to 4.7.0
none
updated patch none

Description m.ne 2019-12-02 12:25:24 UTC
Created attachment 209604 [details]
Patch for games/scid to 4.7.0

- Update to 4.7.0
- Fix build with latest Tcl/Tk 8.7
- Reorder some Makefile variables to make portlint/portclippy slightly happier
Comment 1 Automation User 2019-12-02 15:09:51 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/99960847
Comment 2 m.ne 2019-12-08 09:50:51 UTC
Created attachment 209785 [details]
updated patch

The issue addressed by https://svnweb.freebsd.org/ports?view=revision&revision=519137 is already fixed in 4.7.0 (although by changing the offending declarations to `int8_t` rather than to `signed char`.)
Comment 3 Friedrich Volkmann 2019-12-09 05:14:11 UTC
Works for me. Thank you for your work.
Comment 4 commit-hook freebsd_committer 2020-01-06 01:46:46 UTC
A commit references this bug:

Author: swills
Date: Mon Jan  6 01:45:47 UTC 2020
New revision: 522183
URL: https://svnweb.freebsd.org/changeset/ports/522183

Log:
  games/scid: Update to 4.7.0

  PR:		242366
  Submitted by:	m.ne@gmx.net
  Approved by:	Friedrich Volkmann <bsd@volki.at> (maintainer)

Changes:
  head/games/scid/Makefile
  head/games/scid/distinfo
  head/games/scid/files/patch-Makefile.conf
  head/games/scid/files/patch-src_fastgame.h
  head/games/scid/files/patch-src_tkscid.cpp
  head/games/scid/pkg-plist
Comment 5 Steve Wills freebsd_committer 2020-01-06 01:47:01 UTC
Committed, thanks!